Partially update a component library component
Updates only the provided fields of an existing library component (name, description, icon, tags, internalNote). The description and internalNote fields accept HTML or Markdown and will be converted to the internal format. Only library components (projectId is null) can be updated through this endpoint.
/administration/project-components/componentsDetails/{id}AuthorizationOAuth2 access token · headerrequiredapi:writeAuthorizationBearer token (JWT) · headerrequiredidstringrequiredComponent UUID
fieldsToReturnstringComma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.
responseShapestringAdvanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
compactfullLT-Response-ShapestringAdvanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
fullapplication/jsondescriptionstringComponent description (HTML or Markdown)
iconobject | nullIcon identifier (can be set to null). Format: :icon_name: (e.g., :rocket:, :box:, :star:)
internalNotestringInternal note (HTML or Markdown)
namestringComponent name
tagsstring[]Array of tag IDs
Component updated successfully
idstring<uuid>Invalid request: invalid UUID format for component ID or tag IDs
Unauthorized - Invalid or missing authentication token
Insufficient permissions to edit component library
Component not found, component does not belong to library (has projectId), or component already deleted
Editor content conversion errors